# GetFlowInputHistoryByPathData | windmill-client
Documentation for windmill-client

# Type Alias GetFlowInputHistoryByPathData

GetFlowInputHistoryByPathData: {
page?: number;
path: string;
perPage?: number;
workspace: string;
}

#### Type declaration

- ##### `Optional` page?: number

  which page to return (start at 1, default 1)

- ##### path: string

- ##### `Optional` perPage?: number

  number of items to return for a given page (default 30, max 100)

- ##### workspace: string

- Defined in src/types.gen.ts:2593